DuplicateMappingException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class DuplicateMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.MappingException
                          org.hibernate.DuplicateMappingException

All Implemented Interfaces:
  Serializable

    public class DuplicateMappingException

extends MappingException

Raised whenever a duplicate for a certain type occurs. Duplicate class, table, property name etc.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `DuplicateMappingException.Type`

Constructor Summary
`DuplicateMappingException(DuplicateMappingException.Type type, String name)`
`DuplicateMappingException(String customMessage, DuplicateMappingException.Type type, String name)`
`DuplicateMappingException(String type, String name)` Deprecated.
`DuplicateMappingException(String customMessage, String type, String name)` Deprecated.

Method Summary
`String` | `getName()`
`String` | `getType()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateMappingException

    public DuplicateMappingException(DuplicateMappingException.Type type,
                                     String name)

### DuplicateMappingException

    @Deprecated
    public DuplicateMappingException(String type,
                                                String name)

  Deprecated.

### DuplicateMappingException

    public DuplicateMappingException(String customMessage,
                                     DuplicateMappingException.Type type,
                                     String name)

### DuplicateMappingException

    @Deprecated
    public DuplicateMappingException(String customMessage,
                                                String type,
                                                String name)

  Deprecated.

Method Detail

### getType

    public String getType()

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.